Skip to main content
POST

Body parameters

string
required
The unique identifier of the user at the source of the transaction.
string
required
The unique identifier of the credited wallet.
object
required
Information about the debited funds.
string
required
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
required
The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
string
required
Max. length: 255 charactersThe URL to which users are automatically returned after 3DS2 if it is triggered (i.e., if the SecureModeNeeded parameter is set to true).
string
Allowed values: DEFAULT, FORCE, NO_CHOICEDefault value: DEFAULTThe mode applied for the 3DS2 protocol for CB, Visa, and Mastercard. The options are:
  • DEFAULT – Requests an exemption to strong customer authentication (SCA), and thus a frictionless payment experience, if allowed by your Mangopay contract and accepted by the issuer.
  • FORCE – Requests SCA.
  • NO_CHOICE – Leaves the choice to the issuer whether to allow for a frictionless payment experience or to enforce SCA.
object
required
Information about the browser used by the end user (author) to perform the payment.
string
required
The data returned by Google Pay containing information about the payment.
string
Default value: FirstName, LastName, and Address information of the Shipping object if supplied.Information about the end user billing address. If left empty, the default values will be automatically taken into account.
string
Default value: FirstName, LastName, and Address information of the Billing object, if supplied, otherwise of the user (author).Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.
string
The unique reference generated for the profiling session, used by the fraud prevention solution to produce recommendations for the transaction using the profiling data.Note: Parameter not returned by the API. Profiling feature available on request – contact Mangopay via the Dashboard for more information.

Responses

string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds.
object
Information about the credited funds (CreditedFunds = DebitedFunds - Fees).
string
Information about the fees taken by the platform for this transaction (and hence transferred to the Fees Wallet).
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the transaction.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
string
Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.
string
Returned values: REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:
  • REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
  • REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
  • REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
  • SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Returned values: GOOGLE_PAYThe type of pay-in.
string
Returned values: WEB, DIRECT, EXTERNAL_INSTRUCTIONThe type of execution for the pay-in.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
boolean
Whether or not the SecureMode was used.
object
Default value: FirstName, LastName, and Address information of the Shipping object if supplied.Information about the end user’s billing address. If left empty, the default values will be automatically taken into account.
string
Information about the end user’s shipping address. If left empty, the default values will be automatically taken into account.
object
Information about the browser used by the end user (author) to perform the payment.
string
The IP address of the end user initiating the transaction, in IPV4 or IPV6 format.
string
Information about the card used for the transaction.If the information or data is not available, null is returned.
object | null
Information about the authentication result, based on the request made by Mangopay and the decision of the issuer regarding the type of authentication to be enforced (if applicable).